package cn.pluss.platform.mapper;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import cn.pluss.platform.entity.MerchantIncome;

@Mapper
public interface MerchantIncomeMapper extends BaseMapper<MerchantIncome> {

    MerchantIncome queryMerchantIncome(MerchantIncome merchantIncome);

    List<MerchantIncome> queryMerchantIncomeList(MerchantIncome merchantIncome);

    void saveMerchantIncome(MerchantIncome merchantIncome);

    void updateMerchantIncome(MerchantIncome merchantIncome);

    void deleteMerchantIncome(MerchantIncome merchantIncome);

    List<MerchantIncome> queryMerchantIncomePage(Map map);

    Integer queryMerchantIncomePageCount(Map map);

    void saveMerchantIncomeBatch(List<MerchantIncome> merchantIncomeList);
    
    List<MerchantIncome> queryLastFiveMerchantIncome(MerchantIncome merchantIncome);
    
    List<MerchantIncome> queryMerchantIncomePageByTime(Map map);
    
    Integer queryMerchantIncomePageCountByTime(Map map);
    
    Double queryMerchantTotalIncomeByTime(Map map);
}

